public static interface SpringJdbcEndpointBuilderFactory.SpringJdbcBuilders
| Modifier and Type | Method and Description |
|---|---|
default SpringJdbcEndpointBuilderFactory.SpringJdbcEndpointBuilder |
springJdbc(String path)
Spring JDBC (camel-spring-jdbc)
Access databases through SQL and JDBC with Spring Transaction
support.
|
default SpringJdbcEndpointBuilderFactory.SpringJdbcEndpointBuilder |
springJdbc(String componentName,
String path)
Spring JDBC (camel-spring-jdbc)
Access databases through SQL and JDBC with Spring Transaction
support.
|
default SpringJdbcEndpointBuilderFactory.SpringJdbcEndpointBuilder springJdbc(String path)
spring-jdbc:dataSourceName
Path parameter: dataSourceName (required)
Name of DataSource to lookup in the Registry. If the name is
dataSource or default, then Camel will attempt to lookup a default
DataSource from the registry, meaning if there is a only one instance
of DataSource found, then this DataSource will be used.path - dataSourceNamedefault SpringJdbcEndpointBuilderFactory.SpringJdbcEndpointBuilder springJdbc(String componentName, String path)
spring-jdbc:dataSourceName
Path parameter: dataSourceName (required)
Name of DataSource to lookup in the Registry. If the name is
dataSource or default, then Camel will attempt to lookup a default
DataSource from the registry, meaning if there is a only one instance
of DataSource found, then this DataSource will be used.componentName - to use a custom component name for the endpoint
instead of the default namepath - dataSourceNameApache Camel